Skip to content

Add Address

POST
/v1/account/addresses

Add an address to a shopper's account address book.

Authorization

OAuth bolt.account.manageX-API-Key
AuthorizationBearer <token>

Bolt utilizes the OAuth flow that developers can use to attain access to Bolt Account data via APIs. For all APIs that require authorization, please provide your access_token returned from /v1/oauth/token via the basic auth bearer header Authorization: bearer ${TOKEN}. Read more about the OAuth token endpoint.

In: header

Scope: bolt.account.manage

X-API-Key<token>

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

In: header

Header Parameters

X-Publishable-Key?string

The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard [RECOMMENDED].

Idempotency-Key?string

A key created by merchants that ensures POST and PATCH requests are only performed once. Read more about Idempotent Requests here.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

The Address object is used for billing, shipping, and physical store address use cases.

Response Body

application/json

curl -X POST "https://example.com/v1/account/addresses" \  -H "Content-Type: application/json" \  -d '{    "country_code": "US",    "email": "alan.watts@example.com",    "first_name": "Alan",    "last_name": "Watts",    "locality": "Brooklyn",    "postal_code": "10044",    "region": "NY",    "street_address1": "888 main street"  }'
{  "company": "Bolt",  "country": "United States",  "country_code": "US",  "door_code": "123456",  "email_address": "alan.watts@example.com",  "first_name": "Alan",  "id": "string",  "last_name": "Watts",  "locality": "Brooklyn",  "name": "Alan Watts",  "phone_number": "+12125550199",  "postal_code": "10044",  "priority": "primary",  "region": "NY",  "region_code": "NY",  "street_address1": "888 main street",  "street_address2": "apt 3021",  "street_address3": "c/o Alicia Watts",  "street_address4": "Bridge Street Apartment Building B",  "metadata": {    "customer_id": 234  },  "default": true}